using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.Collections;


namespace OrthoRef
{
    public partial class CameraSelection : Form
    {
        public XmlDocument document;
        private CIntPar IntPar = new CIntPar();
        
         
        public CameraSelection()
        {
            document = new XmlDocument();

            InitializeComponent();
     
        }
        public CIntPar IntrinsicParameter
        {
            get
            {
                return IntPar;
            }
        }


        private void cbbCamera_SelectedIndexChanged(object sender, EventArgs e)
        {
            foreach (XmlNode elem in document.DocumentElement)
            {
                if ((string)cbbCamera.SelectedItem == elem.Name)
                {
                    foreach (XmlNode node in elem)
                    {
                        switch (node.Name.ToString())
                        {
                            case "fx":
                                lblFcx.Text = node.FirstChild.Value;
                                IntPar.Fx = Convert.ToDouble(node.FirstChild.Value);
                                break;
                            case "fy":
                                lblFcy.Text = node.FirstChild.Value;
                                IntPar.Fy = Convert.ToDouble(node.FirstChild.Value);
                                break;
                            case "cx":
                                lblCcx.Text = node.FirstChild.Value;
                                IntPar.Cx = Convert.ToDouble(node.FirstChild.Value);
                                break;
                            case "cy":
                                lblCcy.Text = node.FirstChild.Value;
                                IntPar.Cy = Convert.ToDouble(node.FirstChild.Value);
                                break;
                            case "k1":
                                lblK1.Text = node.FirstChild.Value;
                                IntPar.K1 = Convert.ToDouble(node.FirstChild.Value);
                                break;
                            case "k2":
                                lblK2.Text = node.FirstChild.Value;
                                IntPar.K2 = Convert.ToDouble(node.FirstChild.Value);
                                break;
                            case "k3":
                                lblK3.Text = node.FirstChild.Value;
                                IntPar.K3 = Convert.ToDouble(node.FirstChild.Value);
                                break;
                            case "k4":
                                lblK4.Text = node.FirstChild.Value;
                                IntPar.K4 = Convert.ToDouble(node.FirstChild.Value);
                                break;
                            case "k5":
                                lblK5.Text = node.FirstChild.Value;
                                IntPar.K5 = Convert.ToDouble(node.FirstChild.Value);
                                break;
                            case "alpha0":
                                lblA0.Text = node.FirstChild.Value;
                                IntPar.Alpha0 = Convert.ToDouble(node.FirstChild.Value);
                                break;
                        }
                    }
                }
            }
       }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }

    }
}