using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace OrthoRef
{
    public partial class Extrinsic : Form
    {

        private CExtPar CExtPar = new CExtPar();
        public double FocalLenght;

        public Extrinsic()
        {
            InitializeComponent();
        }

        public CExtPar CameraExtrinsicParameters
        {
            get {return CExtPar;}
        }

        //public double FocalLenght
        //{
        //    get {return dblFocalLenght;}
        //    set {
        //        dblFocalLenght = FocalLenght;
        //        if (dblFocalLenght > 0)
        //            btnComputeFromCP.Enabled = true;
        //    }
        //}

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
             openFileDialog1.Filter = "Extrinsic Parameters Files|*.Xml";
             if (openFileDialog1.ShowDialog() == DialogResult.OK)
             {

                 XmlDocument document = new XmlDocument();
                 document.Load(openFileDialog1.FileName);
                 if (document.DocumentElement.Name == "Extrinsic")
                 {

                 }
                 else
                 {
                     MessageBox.Show("Not a valid extrinsic parameters definition file");
                 }
             }

        }

        private void btnComputeFromCP_Click(object sender, EventArgs e)
        {
            ComputeExtrinsicPar frmComputeExtrinsicPar = new ComputeExtrinsicPar();
            frmComputeExtrinsicPar.FocalLenght = FocalLenght;
            frmComputeExtrinsicPar.ShowDialog();
            CExtPar = frmComputeExtrinsicPar.ExtrinsicParameter;

        }

    }
}